getLinkedSupplierQuotes
READGet linked supplier quotes.
POST /api/v1/purchasing/getLinkedSupplierQuotes
curl -X POST '<your-host>/api/v1/purchasing/getLinkedSupplierQuotes' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"purchasingRfqId": "string"
}'Response
{
"results": [
{
"supplierQuoteId": "string",
"supplierQuote": {
"assignee": "string",
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"currencyCode": "string",
"customFields": "…",
"exchangeRate": 0,
"exchangeRateUpdatedAt": "string",
"expirationDate": "string",
"externalLinkId": "string",
"externalNotes": "…",
"id": "string",
"internalNotes": "…",
"quotedDate": "string",
"revisionId": 0,
"status": "Cancelled",
"supplierContactId": "string",
"supplierId": "string",
"supplierInteractionId": "string",
"supplierLocationId": "string",
"supplierQuoteId": "string",
"supplierQuoteType": "Purchase",
"supplierReference": "string",
"tags": [
"string"
],
"updatedAt": "string",
"updatedBy": "string",
"supplier": {
"accountManagerId": "string",
"assignee": "string",
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"currencyCode": "string",
"customFields": "…",
"defaultCc": [
"string"
],
"fax": "string",
"id": "string",
"intercompanyCompanyId": "string",
"logo": "string",
"name": "string",
"phone": "string",
"purchasingContactId": "string",
"readableId": "string",
"supplierStatus": "Pending",
"supplierTypeId": "string",
"tags": [
"string"
],
"taxPercent": 0,
"updatedAt": "string",
"updatedBy": "string",
"website": "string"
}
}
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"purchasingRfqId": {
"type": "string"
}
},
"required": [
"purchasingRfqId"
]
}